# Get Pipeline Yaml Configs

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Pipeline Yaml Configs"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/yaml"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Displays the pipeline YAML configurations.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Specifies the name of the pipeline whose YAML you want to display.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"Specifies the name of the pipeline whose YAML you want to display.","title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"deepset_cloud_version":{"description":"The version of deepset the pipeline was created with.","title":"deepset Version","enum":["v2"],"type":"string"},"query_yaml":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The deepset pipeline YAML configuration for querying.","title":"Query YAML"}},"required":["query_yaml","deepset_cloud_version"],"title":"PipelineYAMLConfiguration","type":"object"}}},"description":"Returns the pipeline as YAML."},"404":{"description":"A pipeline with this name wasn't found."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
